Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            Me.ProductTableAdapter.Fill(Me.DatasetProduct.Product)
            Me.ProductTableAdapter.Fill(Me.DatasetProduct.Product)
        Catch ex As Exception
            MessageBox.Show("Se produjo un error al cargar el formulario: " + ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
        

    End Sub

    Private Sub ProductBindingNavigatorSaveItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ProductBindingNavigatorSaveItem.Click
        Try
            Me.Validate()
            Me.ProductBindingSource.EndEdit()
            Me.ProductTableAdapter.Update(Me.DatasetProduct.Product)
        Catch ex As Exception
            MessageBox.Show("Se produjo un error al grabar el item: " + ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
        
    End Sub
End Class
